Package io.dapr.v1

# Class CommonProtos.StateRetryPolicy.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderType>
com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.StateRetryPolicy.Builder>
io.dapr.v1.CommonProtos.StateRetryPolicy.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `CommonProtos.StateRetryPolicyOrBuilder`, `java.lang.Cloneable`

Enclosing class:
  CommonProtos.StateRetryPolicy

    public static final class CommonProtos.StateRetryPolicy.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.StateRetryPolicy.Builder>
    implements CommonProtos.StateRetryPolicyOrBuilder

     StateRetryPolicy represents retry policy to set and delete state operations.

Protobuf type `dapr.proto.common.v1.StateRetryPolicy`

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `CommonProtos.StateRetryPolicy.Builder` | `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, java.lang.Object value)` |
  `CommonProtos.StateRetryPolicy` | `build()` |
  `CommonProtos.StateRetryPolicy` | `buildPartial()` |
  `CommonProtos.StateRetryPolicy.Builder` | `clear()` |
  `CommonProtos.StateRetryPolicy.Builder` | `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)` |
  `CommonProtos.StateRetryPolicy.Builder` | `clearInterval()` | Initial delay between retries.
  `CommonProtos.StateRetryPolicy.Builder` | `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)` |
  `CommonProtos.StateRetryPolicy.Builder` | `clearPattern()` | Retry pattern.
  `CommonProtos.StateRetryPolicy.Builder` | `clearThreshold()` | Maximum number of retries.
  `CommonProtos.StateRetryPolicy.Builder` | `clone()` |
  `CommonProtos.StateRetryPolicy` | `getDefaultInstanceForType()` |
  `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
  `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
  `com.google.protobuf.Duration` | `getInterval()` | Initial delay between retries.
  `com.google.protobuf.Duration.Builder` | `getIntervalBuilder()` | Initial delay between retries.
  `com.google.protobuf.DurationOrBuilder` | `getIntervalOrBuilder()` | Initial delay between retries.
  `CommonProtos.StateRetryPolicy.RetryPattern` | `getPattern()` | Retry pattern.
  `int` | `getPatternValue()` | Retry pattern.
  `int` | `getThreshold()` | Maximum number of retries.
  `boolean` | `hasInterval()` | Initial delay between retries.
  `protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
  `boolean` | `isInitialized()` |
  `CommonProtos.StateRetryPolicy.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
  `CommonProtos.StateRetryPolicy.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
  `CommonProtos.StateRetryPolicy.Builder` | `mergeFrom​(CommonProtos.StateRetryPolicy other)` |
  `CommonProtos.StateRetryPolicy.Builder` | `mergeInterval​(com.google.protobuf.Duration value)` | Initial delay between retries.
  `CommonProtos.StateRetryPolicy.Builder` | `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |
  `CommonProtos.StateRetryPolicy.Builder` | `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, java.lang.Object value)` |
  `CommonProtos.StateRetryPolicy.Builder` | `setInterval​(com.google.protobuf.Duration value)` | Initial delay between retries.
  `CommonProtos.StateRetryPolicy.Builder` | `setInterval​(com.google.protobuf.Duration.Builder builderForValue)` | Initial delay between retries.
  `CommonProtos.StateRetryPolicy.Builder` | `setPattern​(CommonProtos.StateRetryPolicy.RetryPattern value)` | Retry pattern.
  `CommonProtos.StateRetryPolicy.Builder` | `setPatternValue​(int value)` | Retry pattern.
  `CommonProtos.StateRetryPolicy.Builder` | `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, java.lang.Object value)` |
  `CommonProtos.StateRetryPolicy.Builder` | `setThreshold​(int value)` | Maximum number of retries.
  `CommonProtos.StateRetryPolicy.Builder` | `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |

  ### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

  `getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

  ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

  `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

  ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

  `addAll, addAll, mergeFrom, newUninitializedMessageException`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

  `mergeFrom`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

  - ### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
    Specified by:
      `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.StateRetryPolicy.Builder>`

  - ### clear

    public CommonProtos.StateRetryPolicy.Builder clear()
    Specified by:
      `clear` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `clear` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.StateRetryPolicy.Builder>`

  - ### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()
    Specified by:
      `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
    Overrides:
      `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.StateRetryPolicy.Builder>`

  - ### getDefaultInstanceForType

    public CommonProtos.StateRetryPolicy getDefaultInstanceForType()
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

  - ### build

    public CommonProtos.StateRetryPolicy build()
    Specified by:
      `build` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `build` in interface `com.google.protobuf.MessageLite.Builder`

  - ### buildPartial

    public CommonProtos.StateRetryPolicy buildPartial()
    Specified by:
      `buildPartial` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

  - ### clone

    public CommonProtos.StateRetryPolicy.Builder clone()
    Specified by:
      `clone` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `clone` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.StateRetryPolicy.Builder>`

  - ### setField

    public CommonProtos.StateRetryPolicy.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field, java.lang.Object value)
    Specified by:
      `setField` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.StateRetryPolicy.Builder>`

  - ### clearField

    public CommonProtos.StateRetryPolicy.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)
    Specified by:
      `clearField` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.StateRetryPolicy.Builder>`

  - ### clearOneof

    public CommonProtos.StateRetryPolicy.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)
    Specified by:
      `clearOneof` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.StateRetryPolicy.Builder>`

  - ### setRepeatedField

    public CommonProtos.StateRetryPolicy.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, java.lang.Object value)
    Specified by:
      `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.StateRetryPolicy.Builder>`

  - ### addRepeatedField

    public CommonProtos.StateRetryPolicy.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, java.lang.Object value)
    Specified by:
      `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.StateRetryPolicy.Builder>`

  - ### mergeFrom

    public CommonProtos.StateRetryPolicy.Builder mergeFrom​(com.google.protobuf.Message other)
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<CommonProtos.StateRetryPolicy.Builder>`

  - ### mergeFrom

    public CommonProtos.StateRetryPolicy.Builder mergeFrom​(CommonProtos.StateRetryPolicy other)

  - ### isInitialized

    public final boolean isInitialized()
    Specified by:
      `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Overrides:
      `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.StateRetryPolicy.Builder>`

  - ### mergeFrom

    public CommonProtos.StateRetryPolicy.Builder mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws java.io.IOException
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<CommonProtos.StateRetryPolicy.Builder>`
    Throws:
      `java.io.IOException`

  - ### getThreshold

    public int getThreshold()

         Maximum number of retries.

    `int32 threshold = 1;`
    Specified by:
      `getThreshold` in interface `CommonProtos.StateRetryPolicyOrBuilder`
    Returns:
      The threshold.

  - ### setThreshold

    public CommonProtos.StateRetryPolicy.Builder setThreshold​(int value)

         Maximum number of retries.

    `int32 threshold = 1;`
    Parameters:
      `value` - The threshold to set.
    Returns:
      This builder for chaining.

  - ### clearThreshold

    public CommonProtos.StateRetryPolicy.Builder clearThreshold()

         Maximum number of retries.

    `int32 threshold = 1;`
    Returns:
      This builder for chaining.

  - ### getPatternValue

    public int getPatternValue()

         Retry pattern.

    `.dapr.proto.common.v1.StateRetryPolicy.RetryPattern pattern = 2;`
    Specified by:
      `getPatternValue` in interface `CommonProtos.StateRetryPolicyOrBuilder`
    Returns:
      The enum numeric value on the wire for pattern.

  - ### setPatternValue

    public CommonProtos.StateRetryPolicy.Builder setPatternValue​(int value)

         Retry pattern.

    `.dapr.proto.common.v1.StateRetryPolicy.RetryPattern pattern = 2;`
    Parameters:
      `value` - The enum numeric value on the wire for pattern to set.
    Returns:
      This builder for chaining.

  - ### getPattern

    public CommonProtos.StateRetryPolicy.RetryPattern getPattern()

         Retry pattern.

    `.dapr.proto.common.v1.StateRetryPolicy.RetryPattern pattern = 2;`
    Specified by:
      `getPattern` in interface `CommonProtos.StateRetryPolicyOrBuilder`
    Returns:
      The pattern.

  - ### setPattern

    public CommonProtos.StateRetryPolicy.Builder setPattern​(CommonProtos.StateRetryPolicy.RetryPattern value)

         Retry pattern.

    `.dapr.proto.common.v1.StateRetryPolicy.RetryPattern pattern = 2;`
    Parameters:
      `value` - The pattern to set.
    Returns:
      This builder for chaining.

  - ### clearPattern

    public CommonProtos.StateRetryPolicy.Builder clearPattern()

         Retry pattern.

    `.dapr.proto.common.v1.StateRetryPolicy.RetryPattern pattern = 2;`
    Returns:
      This builder for chaining.

  - ### hasInterval

    public boolean hasInterval()

         Initial delay between retries.

    `.google.protobuf.Duration interval = 3;`
    Specified by:
      `hasInterval` in interface `CommonProtos.StateRetryPolicyOrBuilder`
    Returns:
      Whether the interval field is set.

  - ### getInterval

    public com.google.protobuf.Duration getInterval()

         Initial delay between retries.

    `.google.protobuf.Duration interval = 3;`
    Specified by:
      `getInterval` in interface `CommonProtos.StateRetryPolicyOrBuilder`
    Returns:
      The interval.

  - ### setInterval

    public CommonProtos.StateRetryPolicy.Builder setInterval​(com.google.protobuf.Duration value)

         Initial delay between retries.

    `.google.protobuf.Duration interval = 3;`

  - ### setInterval

    public CommonProtos.StateRetryPolicy.Builder setInterval​(com.google.protobuf.Duration.Builder builderForValue)

         Initial delay between retries.

    `.google.protobuf.Duration interval = 3;`

  - ### mergeInterval

    public CommonProtos.StateRetryPolicy.Builder mergeInterval​(com.google.protobuf.Duration value)

         Initial delay between retries.

    `.google.protobuf.Duration interval = 3;`

  - ### clearInterval

    public CommonProtos.StateRetryPolicy.Builder clearInterval()

         Initial delay between retries.

    `.google.protobuf.Duration interval = 3;`

  - ### getIntervalBuilder

    public com.google.protobuf.Duration.Builder getIntervalBuilder()

         Initial delay between retries.

    `.google.protobuf.Duration interval = 3;`

  - ### getIntervalOrBuilder

    public com.google.protobuf.DurationOrBuilder getIntervalOrBuilder()

         Initial delay between retries.

    `.google.protobuf.Duration interval = 3;`
    Specified by:
      `getIntervalOrBuilder` in interface `CommonProtos.StateRetryPolicyOrBuilder`

  - ### setUnknownFields

    public final CommonProtos.StateRetryPolicy.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)
    Specified by:
      `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.StateRetryPolicy.Builder>`

  - ### mergeUnknownFields

    public final CommonProtos.StateRetryPolicy.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)
    Specified by:
      `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.StateRetryPolicy.Builder>`